LibreOffice LibreOffice 7.2 SDK API Reference

List of all members
TextInputStream Service Referencepublished

provides functionality to read text data from a com::sun::star::io::XInputStream that initially has to be passed to the method XActiveDataSink::setInputStream(). More...

`import"TextInputStream.idl";`

Inheritance diagram for TextInputStream:

## Additional Inherited Members
Exported Interfaces inherited from XTextInputStream2
interface | com::sun::star::io::XTextInputStream
| Interface to read text data. More...
interface | com::sun::star::io::XActiveDataSink
| Interface to specify the used com::sun::star::io::XInputStream. More...
Public Member Functions inherited from XTextInputStream
string | readLine () raises ( com::sun::star::io::IOException )
| reads text until a line break (CR, LF, or CR/LF) or EOF is found and returns it as string (without CR, LF). More...
string | readString ([in] sequence< char > Delimiters, [in] boolean bRemoveDelimiter) raises ( com::sun::star::io::IOException )
| reads text until one of the given delimiter characters or EOF is found and returns it as string (without delimiter). More...
boolean | isEOF () raises ( com::sun::star::io::IOException )
| Returns the EOF status. More...
void | setEncoding ([in] string Encoding)
| sets character encoding. More...
Public Member Functions inherited from XInputStream
long | readBytes ([out] sequence< byte > aData, [in] long nBytesToRead) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| reads the specified number of bytes in the given sequence. More...
long | readSomeBytes ([out] sequence< byte > aData, [in] long nMaxBytesToRead) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException )
| reads the available number of bytes, at maximum nMaxBytesToRead. More...
void | skipBytes ([in] long nBytesToSkip) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException )
| skips the next nBytesToSkip bytes (must be positive). More...
long | available () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::IOException )
| states how many bytes can be read or skipped without blocking. More...
void | closeInput () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::IOException)
| closes the stream. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XActiveDataSink
void | setInputStream ([in] com::sun::star::io::XInputStream aStream)
| plugs the input stream. More...
com::sun::star::io::XInputStream | getInputStream ()

## Detailed Description

provides functionality to read text data from a com::sun::star::io::XInputStream that initially has to be passed to the method XActiveDataSink::setInputStream().

For details about the text functionality see com::sun::star::io::XTextInputStream.

The documentation for this service was generated from the following file:

- com/sun/star/io/TextInputStream.idl